#ifndef _gm_dds_h_
#define _gm_dds_h_

/*****************************************************************************
 * This structure is prepared by the config method and passed to the
 * config entry point
 *****************************************************************************/
typedef struct {	
	uchar lname[NAMESIZE];		/* Device logical name */ 
	uchar alias[NAMESIZE];		/* Alias name in ASCII characters */
	uint bus_type;			/* For i_init use */
	uint bus_id;			/* For i_init and bus io use */
	uint bus_slot;			/* 1, 2, or 3 */
	uint bus_mem_addr;		/* PCI bus I/O base address */
	uint bus_intr_lvl;		/* PCI bus interrupt level */
	uint intr_priority;		/* For i_init use (INTCLASSx) */
	ushort major;
	ushort minor;
	int seq_number;			/* Device seq number from name (key) */
} dds_t;

#endif /* _gm_dds_h_ */
