/******************************************************************-*-c-*-
 * Myricom GM networking software and documentation			 *
 * Copyright (c) 2000 by Myricom, Inc.					 *
 * All rights reserved.	 See the file `COPYING' for copyright notice.	 *
 *************************************************************************/

/**
   @file gm_mtu.c
   This file contains the GM API function gm_mtu().
*/

#include "gm.h"
#include "gm_types.h"

/**
   gm_mtu() returns the value of GM_MTU.
 
   @retval GM_MTU
 
   @param port \b (IN) The handle to the GM port.
 
   @author Glenn Brown
 
   @version GM_API_VERSION (as defined in gm.h)
 
*/

GM_ENTRY_POINT
unsigned int
gm_mtu (struct gm_port *port)
{
  return GM_MTU;
}
