/*
  mt_MapperModule.h
  map tools
  finucane@myri.com (David Finucane)
*/

#ifndef mt_MapperModule_h
#define mt_MapperModule_h

#include "mt_Module.h"
#include "mt_Network.h"
#include "mt_Calculator.h"

class mt_MapperModule : public mt_Component, public mt_Module
{
  public:
  virtual int initialize (mt_Network*network, mt_Calculator*calculator) = 0;
  virtual int start () = 0;
  virtual void cleanup () = 0;
};

extern mt_MapperModule*mt_getMapperModule ();
#endif /*mt_MapperModule*/
