/*
  sm_Graph.h
  map tools
  finucane@myri.com (David Finucane)
*/

#ifndef sm_Graph_h
#define sm_Graph_h

#include <stdio.h>
#include "mt_Graph.h"

class sm_Graph : public mt_Graph
{
  private:
  int queueSize;
  int queueLatency;
  int packetLength;
  int hostDropPeriod;
  int hostDelay;
  int switchInSize;
  int switchOutSize;
  int switchTimeForByte;
  
  public:
  sm_Graph (int queueSize, int queueLatency, int switchInSize, int switchOutSize, int switchTimeForByte);
  
  virtual mt_Node*newNode (int nodeType, char*name, char*type);
  void dumpPackets (FILE*fp);
};

#endif /*sm_Graph_h*/
