/*
  mm_MapperModule.h
  myricom mapper
  finucane@myri.com (David Finucane)
*/

#include "mt_MapperModule.h"
#include "mm_Mapper.h"

class mm_MapperModule : public mt_MapperModule
{
  private:
  mt_MapperOptions options;
  mm_Mapper*mapper;
  mm_Host fake;
  
  public:
  mm_MapperModule ();
  mt_Job*getJob ()
  {
    return mapper;
  }
  mt_Graph*getGraph ()
  {
    return mapper ? mapper->getGraph () : 0;
  }
  virtual ~mm_MapperModule ();
  virtual int parseArgs (mt_Args*args);
  virtual void usage ();
  virtual int initialize (mt_Network*network, mt_Calculator*calculator);
  virtual int start ();
  virtual void cleanup ();
};
