#! /bin/sh

# add -probe-switches for ID switch id probes 

arch=`../config/arch.sh`

#cd ../watch; java watch ../tools/test.counters&

#for i in `ls ../maps/*.map`; do
for i in `ls ../maps/*oct*.map`; do
#for i in ../maps/five.map  ../maps/32.16.map  ../maps/s6m-h1024-s128.map; do


echo "mapping" $i
rm -f test.counters
rm -f test.hosts
rm -f test.map

$arch/test_mapper \
\
-simulator-args \
-map-file  $i \
-eschew-routes \
-random-seed 1666 \
-let-packets-die \
-host-drop-period 2 \
-host-drop-type 0 \
-host-drop-count 20 \
-host-delay 200 \
-switch-in-size 8 \
-switch-out-size 8 \
-switch-time-for-byte 7 \
\
-mapper-args \
-warnings \
-probe-switches \
-map-once \
-never-configure \
-never-configure-others \
-map-file test.map \
-counters-file test.counters \
-host-file test.hosts \
-unique-host-file \
-unit 0 \
-make-hosts \
-level 2 \
-remember-nodes \
-scout-tries 3 \
-scout-time 5000 \
-probe-tries 3 \
-probe-time 5000  \
-configure-tries 10 \
-configure-time 100000 \
-verify-scout-tries 10 \
-verify-scout-time 1000 \
-verify-probe-tries 10 \
-verify-probe-time 200 \
-timeout-decrease 10 \
-timeout-increase 40 \
-measure-configure-latency \
-active-time 30000 \
-passive-time 90000 \
-send-many-at-once \
-send-many-configures \
-interleave-configures \
-send-many-compares \
-compare-switches \
-grow-configure-timeouts \
-clear-routes \
\
-route-args \
-verbose \
-save-routes \
-shortest-path \
-remove-deadlocks \
#|\
#grep "Hosts\|seconds\|ssertion\|eadlock"

grep "host count\|switch count\|probe\|compare\|scout\|reply" test.counters
echo ""


done
