#ifndef _gm_arch_debug_h_
#define _gm_arch_debug_h_

/*
  NOTE: The following switches control preprocessor conditional code inclusion,
        and need to be ahead of all other gm_arch_xx.h include's in case they
        are referenced therein.
*/

/* Set this to 1 to turn on non-error debugging */
#define GM_AIX_DEBUG 1

/* Set this to 1 to debug PCI config access code */
#define GM_AIX_DEBUG_PCI_CFG_RW 0

/* Set this to 1 to do AIX-specific lock debugging */
#define GM_AIX_DEBUG_LOCKS 0

/* Set this to 1 to do AIX-specific malloc/free debugging */
#define GM_AIX_DEBUG_MALLOC 0

/* Set this to 1 to do AIX-specific IP (ethernet emulation) debugging */
#define GM_AIX_DEBUG_IP 0

/* Set this to 1 to AIX-specific interrupt debugging */
#define GM_AIX_DEBUG_INTR 0

#endif /* _gm_arch_debug_h_ */
