/******************************************************************-*-c-*-
 * Myricom GM networking software and documentation                      *
 * Copyright (c) 1998 by Myricom, Inc.                                   *
 * All rights reserved.  See the file `COPYING' for copyright notice.    *
 *************************************************************************/

/* author: gallatin@cs.duke.edu */

#ifndef _gm_arch_io_h_
#define _gm_arch_io_h_

#if defined HAVE_SYS_TYPES_H
#include <sys/types.h>
#endif

#if defined HAVE_SYS_ERRNO_H
#include <sys/errno.h>
#endif

#include <sys/ioccom.h>


/*
 * For ioctls.  The driver's ioctl handler dumbs-down the BSD ioctl
 * method & lets the higher level function call copyin/copyout as if 
 * we were a sysv style system
 */

#define GM_IO(n)        _IO('G',(n))


#ifndef NULL
#define NULL 0
#endif

#endif /* _gm_arch_io_h_ */
