/******************************************************************-*-c-*-
 * Myricom GM networking software and documentation			 *
 * Copyright (c) 1999 by Myricom, Inc.					 *
 * All rights reserved.	 See the file `COPYING' for copyright notice.	 *
 *************************************************************************/

#ifndef _gm_opiom_malloc_h_
#define _gm_opiom_malloc_h_

#if !GM_KERNEL
#  error This file can only be used in the kernel.
#endif

int
_gm_opiom_malloc_init(void);

void
_gm_opiom_malloc_finalize(void);

gm_status_t
_gm_opiom_malloc(gm_u32_t real_size, gm_opiom_segment_t **node);

gm_status_t
_gm_opiom_free(gm_opiom_segment_t *node);

gm_status_t
_gm_opiom_malloc_get_ptr(gm_opiom_segment_t node, gm_up_t *addr);

#endif /* _gm_driver_opiom_malloc_h_ */
