#include <mach/mach_types.h>

/*
 * This provides the linkage with the kernel module start/stop
 * routines.  This will not compile cleanly in the c++ environment of
 * the main gm_arch.cpp routine, so it is a separate file.  The Apple
 * Project Builder IDE creates this dynamically as a separte C file
 * for Apple style drivers..
 */

extern kern_return_t _start (kmod_info_t * ki, void *data);
extern kern_return_t _stop (kmod_info_t * ki, void *data);

KMOD_EXPLICIT_DECL (com.Myricom.iokit.gm, "1.5.2", _start, _stop)
	__private_extern__ kmod_start_func_t *_realmain = 0;
	__private_extern__ kmod_stop_func_t *_antimain = 0;
