/******************************************************************-*-c-*-
 * Myricom GM networking software and documentation                      *
 * Copyright (c) 1996, 1997 by Myricom, Inc.                             *
 * All rights reserved.  See the file `COPYING' for copyright notice.    *
 *************************************************************************/

/**
   @file gm_get_port_id.c
*/

#include "gm_compiler.h"
#include "gm_debug.h"
#include "gm_internal.h"

/**
   gm_get_port_id() returns the id of the GM port \b p.
 
   @retval port_id The id of the GM port.
 
   @param p \b (IN) The GM port.
 
   @author Glenn Brown
 
   @version GM_API_VERSION (as defined in gm.h)
 
*/

GM_ENTRY_POINT
unsigned int
gm_get_port_id (gm_port_t *p)
{
  return p->id;
}
