/******************************************************************-*-c-*-
 * Myricom GM networking software and documentation			 *
 * Copyright (c) 2000 by Myricom, Inc.					 *
 * All rights reserved.	 See the file `COPYING' for copyright notice.	 *
 *************************************************************************/

/* author: glenn@myri.com */

#ifndef _gm_on_exit_h_
#define _gm_on_exit_h_

#include "gm.h"

typedef struct gm_on_exit_record 
{
  struct gm_on_exit_record *next;
  gm_on_exit_callback_t callback;
  void *arg;
} gm_on_exit_record_t;

GM_ENTRY_POINT extern gm_on_exit_record_t *_gm_first_on_exit_record;
void _gm_perform_on_exit_callbacks (gm_status_t status);

#endif /* _gm_on_exit_h_ */
