/******************************************************************-*-c-*-
 * Myricom GM networking software and documentation                      *
 * Copyright (c) 1996, 1997 by Myricom, Inc.                             *
 * All rights reserved.  See the file `COPYING' for copyright notice.    *
 *************************************************************************/

#include "gm_internal.h"

#if !GM_KERNEL
#ifdef STDC_HEADERS
# include <string.h>
#elif defined HAVE_STRINGS_H
# include <strings.h>
#endif
#endif

GM_ENTRY_POINT
void
_gm_overlapping_bcopy (void *_from, void *_to, gm_size_t len)
{
  char *from, *to;
  
  from = (char *) _from;
  to = (char *) _to;

  if (to <= from
      || from + len <= to)
    {
      _gm_bcopy_up (from, to, len);
    }
  else
    {
      _gm_bcopy_down (from, to, len);
    }
}
