/*
  mt_Address.h
  map tools
  finucane@myri.com (David Finucane)
*/

#ifndef mt_Address_h
#define mt_Address_h

class mt_Address
{
  public:
  enum
  {
    NUM_BYTES = 6
  };
  
  private:
  char bytes [NUM_BYTES];
  static char buffer [NUM_BYTES * 3];
  int fromColonString (char*s);
  
  public:
  mt_Address ();
  mt_Address (char*bytes);
  char*toString (char*s = 0);
  char*toNewString (char*s = 0);
  int fromString (char*s);
  void fromBytes (char*s);
  void set (int n);
  char*getBytes ();
  void copyOut (char*s);
  int compare (mt_Address*a);
  int isZero ();
};

#endif /*mt_Address_h*/
