/*
  sm_Null.h
  map tools
  finucane@myri.com
*/

#ifndef sm_Null_h
#define sm_Null_h

#include "sm_Node.h"

class sm_Null : public sm_Node
{
  private:
  sm_Port input;
  sm_Port output;
  int numDrops;
  int queueLatency;
  
  public:
  sm_Null (char*name, char*type);

  virtual int isNull ();
  virtual int getNodeType ();
  virtual int getMaxNodes ();
  virtual int definePorts ();
  virtual sm_Port*getInput (int i);
  virtual sm_Port*getOutput (int i);
  virtual void definePort (int i, int inSize, int outSize, int timeForByte);
  virtual void call (sm_EventList*list, int type, void*data);
};

#endif /*sm_Null_h*/
