#! /bin/sh
arch=`../config/arch.sh`

for traffic in 1 2 3 4
do

echo "traffic " $traffic

$arch/barrel_simulator \
-simulator-args \
-map-file  /ufs/arpa4/finucane/d.map \
-random-seed 8851 \
-switch-in-size 100 \
-switch-out-size 100 \
-switch-time-for-byte 7 \
-num-packets 30000 \
-check-for-deadlocks \
-short-output \
-route-args \
-barrel \
-simulation-args \
-packet-length 100 \
-traffic $traffic

echo ""

done